# Get Paginated Feedback

<Heading
  as={"h1"}
  className={"openapi__heading"}
  children={"Get Paginated Feedback"}
>
</Heading>

<MethodEndpoint
  method={"get"}
  path={"/api/v2/workspaces/{workspace_id}/pipelines/{pipeline_id}/feedback"}
  context={"endpoint"}
>
  
</MethodEndpoint>

Retrieves a paginated list of user feedback.
Use this endpoint to fetch batches of feedback entries, sorted and filtered according to your preference.

<Heading
  id={"request"}
  as={"h2"}
  className={"openapi-tabs__heading"}
  children={"Request"}
>
</Heading>

<ParamsDetails
  parameters={[{"description":"Type the id of the workspace.","in":"path","name":"workspace_id","required":true,"schema":{"description":"Type the id of the workspace.","format":"uuid","title":"Workspace Id","type":"string"}},{"in":"path","name":"pipeline_id","required":true,"schema":{"format":"uuid","title":"Pipeline ID","type":"string"}},{"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","in":"query","name":"limit","required":false,"schema":{"default":10,"description":"The number of entries to display. Leaving this field empty keeps the default, and max 10 results are returned.","maximum":1000,"title":"Limit","type":"integer"}},{"description":"Enter the URL-encoded datetime in ISO format if you want to see all entries after this datetime.","in":"query","name":"after","required":false,"schema":{"anyOf":[{"format":"date-time","type":"string"},{"type":"null"}],"description":"Enter the URL-encoded datetime in ISO format if you want to see all entries after this datetime.","title":"After"}},{"description":"Enter the offset for the pagination. Note that the results are 0-indexed which means that with 'offset=0', you will skip the first element.","in":"query","name":"offset","required":false,"schema":{"anyOf":[{"type":"integer"},{"type":"null"}],"description":"Enter the offset for the pagination. Note that the results are 0-indexed which means that with 'offset=0', you will skip the first element.","title":"Offset"}},{"description":"The name of the entity you want to sort by.","in":"query","name":"field","required":false,"schema":{"default":"created_at","description":"The name of the entity you want to sort by.","enum":["created_at","search_history/score","search_history/search_query"],"title":"Field","type":"string"}},{"description":"Choose how you want to sort the results.","in":"query","name":"order","required":false,"schema":{"default":"DESC","description":"Choose how you want to sort the results.","enum":["ASC","DESC"],"title":"Order","type":"string"}},{"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"filter","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"The OData filter you want to use to in your query. It supports exact match and `AND` operations. For example, to filter for a metadata `category:news` and `published_date` greater than or equal to January 1 2025, here's what the URL could look like: 'url = \"https://api.cloud.deepset.ai/api/v1/workspaces/production/files?limit=10&filter=category eq 'news' and published_date ge '2025-01-01' \"'. OData filters only work with cursor-based pagination (leave the `page_number` field blank to enable it).To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Filter"}},{"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","in":"query","name":"select","required":false,"schema":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Partial implementation of the OData $select operator. It currently only supports selecting fields from the root entity or a child entity. Selecting fields from children's children is not supported. If you use this parameter, the API answer is always a flat list of distinct JSON objects with the selected properties, for example, '[{\"given_name\": \"user1\", \"user_id\": \"...\"}, ...]' for 'select=created_by/given_name, created_by/user_id'. The results are ordered by the first selected attribute. To learn more about the OData filter syntax, see: [Querying Data](https://www.odata.org/getting-started/basic-tutorial/#queryData).","title":"Select"}}]}
>
  
</ParamsDetails>

<RequestSchema
  title={"Body"}
  body={undefined}
>
  
</RequestSchema>

<StatusCodes
  id={undefined}
  label={undefined}
  responses={{"200":{"content":{"application/json":{"schema":{"anyOf":[{"properties":{"data":{"items":{"properties":{"api_key":{"anyOf":[{"properties":{"id":{"description":"The unique identifier of the API key with which the request was made.","format":"uuid","title":"API Key ID","type":"string"},"name":{"default":"","description":"Name of the API key.","title":"API Key Name","type":"string"}},"required":["id"],"title":"APIKey","type":"object"},{"type":"null"}]},"bookmarked":{"anyOf":[{"type":"boolean"},{"type":"null"}],"title":"Bookmarked"},"comment":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Comment"},"created_at":{"format":"date-time","title":"Created At","type":"string"},"created_by":{"properties":{"family_name":{"description":"Family name of a user.","title":"Family name","type":"string"},"given_name":{"description":"Given name of a user.","title":"Given name","type":"string"},"user_id":{"description":"Unique identifier of a user.","format":"uuid","title":"User ID","type":"string"}},"required":["given_name","family_name","user_id"],"title":"Oauth User","type":"object"},"feedback_id":{"format":"uuid","title":"Feedback Id","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"pipeline_id":{"format":"uuid","title":"Pipeline Id","type":"string"},"result_id":{"format":"uuid","title":"Result Id","type":"string"},"score":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Score"},"search_history":{"properties":{"answer":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Answer"},"context":{"anyOf":[{"type":"string"},{"additionalProperties":true,"type":"object"},{"items":{},"type":"array"},{"type":"null"}],"title":"Context"},"documents":{"items":{"additionalProperties":true,"type":"object"},"title":"Documents","type":"array"},"files":{"items":{"properties":{"id":{"anyOf":[{"format":"uuid","type":"string"},{"type":"null"}],"description":"Unique identifier of a file.","title":"File ID"},"name":{"anyOf":[{"type":"string"},{"type":"null"}],"description":"Name of the file.","title":"File name"}},"title":"PipelineFeedbackFile","type":"object"},"title":"Files","type":"array"},"meta":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"title":"Meta"},"offsets_in_context":{"anyOf":[{"items":{"additionalProperties":{"type":"integer"},"type":"object"},"type":"array"},{"type":"null"}],"title":"Offsets In Context"},"prompt":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Prompt"},"query_id":{"format":"uuid","title":"Query Id","type":"string"},"rank":{"anyOf":[{"type":"integer"},{"type":"null"}],"title":"Rank"},"score":{"anyOf":[{"type":"number"},{"type":"null"}],"title":"Score"},"search":{"properties":{"created_at":{"description":"Specifies when the search query was run.","format":"date-time","title":"Created At","type":"string"},"duration":{"description":"The number of seconds the pipeline took to find the answer.","title":"Duration","type":"number"},"filters":{"anyOf":[{"additionalProperties":true,"type":"object"},{"type":"null"}],"description":"Shows which metadata filters were used for the search query.","title":"Search Filters"},"query":{"description":"The search query.","title":"Query","type":"string"}},"required":["created_at","duration","query"],"title":"FeedbackSearchQuery","type":"object"},"search_history_result_id":{"format":"uuid","title":"Search History Result Id","type":"string"},"type":{"title":"Type","type":"string"}},"required":["search_history_result_id","query_id","documents","type","rank","score","files","context","answer","meta","offsets_in_context","prompt","search"],"title":"SearchHistoryResultData","type":"object"},"tags":{"items":{"properties":{"created_by_user_id":{"format":"uuid","title":"Created By User Id","type":"string"},"name":{"title":"Name","type":"string"},"organization_id":{"format":"uuid","title":"Organization Id","type":"string"},"pipeline_id":{"format":"uuid","title":"Pipeline Id","type":"string"},"tag_id":{"format":"uuid","title":"Tag Id","type":"string"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"}},"required":["name","tag_id","organization_id","workspace_id","pipeline_id","created_by_user_id"],"title":"FeedbackTag","type":"object"},"title":"Tags","type":"array"},"workspace_id":{"format":"uuid","title":"Workspace Id","type":"string"}},"required":["tags","result_id","feedback_id","organization_id","workspace_id","pipeline_id","created_by","created_at","search_history"],"title":"Feedback","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[Feedback]","type":"object"},{"properties":{"data":{"items":{"additionalProperties":true,"description":"Feedback Select Description","title":"FeedbackSelectResult","type":"object"},"title":"Data","type":"array"},"has_more":{"description":"Indicates if there are more results to show.","title":"Has more results","type":"boolean"},"total":{"description":"The total number of results matching your query.","title":"Total number of results","type":"integer"}},"required":["data","has_more","total"],"title":"PaginatedResult[FeedbackSelectResult]","type":"object"}],"title":"Response Get Paginated Feedback Api V2 Workspaces  Workspace Id  Pipelines  Pipeline Id  Feedback Get"}}},"description":"Successful Response"},"422":{"content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"ctx":{"title":"Context","type":"object"},"input":{"title":"Input"},"loc":{"items":{"anyOf":[{"type":"string"},{"type":"integer"}]},"title":"Location","type":"array"},"msg":{"title":"Message","type":"string"},"type":{"title":"Error Type","type":"string"}},"required":["loc","msg","type"],"title":"ValidationError","type":"object"},"title":"Detail","type":"array"}},"title":"HTTPValidationError","type":"object"}}},"description":"Validation Error"}}}
>
  
</StatusCodes>
